package org.jboss.cache.search;

import org.jboss.cache.CacheException;

/**
 * Thrown when an invalid Fqn is passed into {@link org.jboss.cache.search.Transformer#generateId(org.jboss.cache.Fqn, String)}
 * <p />
 *
 * @author Navin Surtani  - navin@surtani.org
 */
public class InvalidFqnException extends CacheException
{
   public InvalidFqnException()
   {
   }

   public InvalidFqnException(String s)
   {
      super(s);
   }

   public InvalidFqnException(String s, Throwable throwable)
   {
      super(s, throwable);
   }

   public InvalidFqnException(Throwable throwable)
   {
      super(throwable);
   }
}
